%define	upstream_name	 Module-Starter
%define upstream_version 1.71

%{?perl_default_filter}
# Filter in-lined Perl code from lib/Module/Starter/Simple.pm
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((ExtUtils::MakeMaker|inc::Module::Install|Module::Build|Test::More)\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
Epoch:      1

Summary:    A simple starter kit for any module 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::Command)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Module::Install::AuthorTests)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Pod::Usage) >= 1.210.0
BuildRequires: perl(Test::Harness) >= 0.210.0
BuildRequires: perl(Test::More)
BuildRequires: perl(parent)
BuildArch:  noarch

%{?perl_default_filter}

%description
This is the core module for Module::Starter. If you're not looking to extend or
alter the behavior of this module, you probably want to look at module-starter
instead.

Module::Starter is used to create a skeletal CPAN distribution, including basic
builder scripts, tests, documentation, and module code. This is done through
just one method, create_distro.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1:1.710.0-3.mga6
+ Revision: 1030301
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1:1.710.0-2.mga6
+ Revision: 965936
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 sander85 <sander85> 1:1.710.0-1.mga6
+ Revision: 839228
- update to 1.71

* Wed Oct 15 2014 umeabot <umeabot> 1:1.620.0-5.mga5
+ Revision: 741635
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1:1.620.0-4.mga5
+ Revision: 735749
- add exclude

* Sun Sep 28 2014 tv <tv> 1:1.620.0-3.mga5
+ Revision: 731305
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 1:1.620.0-2.mga5
+ Revision: 685477
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 1:1.620.0-1.mga5
+ Revision: 586382
- update to 1.62

* Fri Oct 18 2013 umeabot <umeabot> 1:1.600.0-3.mga4
+ Revision: 513072
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.600.0-2.mga3
+ Revision: 369994
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 1:1.600.0-1.mga3
+ Revision: 315171
- update to 1.60

* Fri Jul 08 2011 jquelin <jquelin> 1:1.580.0-1.mga2
+ Revision: 120459
- update to 1.58

* Tue Apr 12 2011 jquelin <jquelin> 1:1.570.0-1.mga1
+ Revision: 83776
- update to 1.57

* Mon Apr 11 2011 jquelin <jquelin> 1:1.560.0-1.mga1
+ Revision: 83367
- update to 1.56

* Sat Jan 22 2011 jquelin <jquelin> 1:1.540.0-1.mga1
+ Revision: 30865
- mageia rebuild
- imported package perl-Module-Starter


* Wed Dec 09 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.540.0-1mdv2010.1
+ Revision: 475400
- update to

* Mon Jul 27 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.520.0-1mdv2010.0
+ Revision: 400650
- update to 1.52

* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.500.0-2mdv2010.0
+ Revision: 393297
- fixing url:
- update to 1.50
- fixed license field

* Sun Jan 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1:1.470-1mdv2009.1
+ Revision: 330911
- update to new version 1.470

* Sat Jan 17 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.50-1mdv2009.1
+ Revision: 330711
- forcing epoch to force update...
- version update to 1.50

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.470-4mdv2009.0
+ Revision: 257905
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.470-3mdv2009.0
+ Revision: 245953
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Nov 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.470-1mdv2008.1
+ Revision: 107978
- update to new version 1.470

* Fri Nov 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.46-1mdv2008.1
+ Revision: 105446
- new version
- update to new version 1.46

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.43_01-1mdv2008.0
+ Revision: 25298
- 1.43_01


* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.42-2mdk
- Fix According to perl Policy
	-Source URL
- use mkrel

* Thu Nov 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.42-1mdk
- 1.42

* Thu Jul 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.40-1mdk
- 1.40

* Wed Apr 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.38-1mdk 
- first mandriva release

